package pwc.taxtech.atms.dto.backlogManage;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import pwc.taxtech.atms.common.util.PwCIdSerialize;
import pwc.taxtech.atms.constant.enums.BackLogEnum;
import pwc.taxtech.atms.vat.entity.BacklogConfigCommon;

import java.io.Serializable;

public class BacklogConfigCommonResult extends BacklogConfigCommon implements Serializable {


    private static final long serialVersionUID = 8492401405510448585L;
    @JsonSerialize(using = PwCIdSerialize.class)
    private Long id;

    public String getStatusStr() {
        return BackLogEnum.ConfigCommonStatus.MAPPING.get(super.getStatus());
    }

    public String getGenerateTypeStr() {
        return BackLogEnum.GenerateType.MAPPING.get(super.getGenerateType());
    }
    public String getAutoFlagStr() {
        return BackLogEnum.AutoFlagType.MAPPING.get(super.getGenerateType());
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
