package pwc.taxtech.atms.dto.backlogManage;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class BacklogConfigEditParam  implements Serializable {


    private static final long serialVersionUID = -6103883061225458465L;

    private Long id;

    private String name;

    private String describe;

    private String code;

    private Long commonId;

    private Date validityStartDate;

    private Date validityEndDate;

    private String warnMonth;

    private String warnStartDay;

    private String warnEndDay;

    private String warnStartTime;

    private String warnEndTime;

    private String businessLineId;

    private String orgId;

    private String comment;

    private String fileUploadIds;

    private Long groupId;

    private Integer groupIndex;

    private String taxAgency;

    private BigDecimal amount;

    @NotBlank(message = "BCLAllotColumnTimeZoneError")
    private String timeZone;

    private String status;

    @NotBlank(message = "BCLAllotColumnDealUserError")
    private String dealUser;

    private String auditUser;

    @NotBlank(message = "BCLAllotColumnCreateUserError")
    private String createUser;

    @NotNull(message = "BCLAllotColumnChooseError")
    private Integer choose;

    private  Integer generateType;

    public Integer getGenerateType() {
        return generateType;
    }

    public void setGenerateType(Integer generateType) {
        this.generateType = generateType;
    }

    public Integer getChoose() {
        return choose;
    }

    public void setChoose(Integer choose) {
        this.choose = choose;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Long getCommonId() {
        return commonId;
    }

    public void setCommonId(Long commonId) {
        this.commonId = commonId;
    }

    public Date getValidityStartDate() {
        return validityStartDate;
    }

    public void setValidityStartDate(Date validityStartDate) {
        this.validityStartDate = validityStartDate;
    }

    public Date getValidityEndDate() {
        return validityEndDate;
    }

    public void setValidityEndDate(Date validityEndDate) {
        this.validityEndDate = validityEndDate;
    }

    public String getWarnMonth() {
        return warnMonth;
    }

    public void setWarnMonth(String warnMonth) {
        this.warnMonth = warnMonth;
    }

    public String getWarnStartDay() {
        return warnStartDay;
    }

    public void setWarnStartDay(String warnStartDay) {
        this.warnStartDay = warnStartDay;
    }

    public String getWarnEndDay() {
        return warnEndDay;
    }

    public void setWarnEndDay(String warnEndDay) {
        this.warnEndDay = warnEndDay;
    }

    public String getWarnStartTime() {
        return warnStartTime;
    }

    public void setWarnStartTime(String warnStartTime) {
        this.warnStartTime = warnStartTime;
    }

    public String getWarnEndTime() {
        return warnEndTime;
    }

    public void setWarnEndTime(String warnEndTime) {
        this.warnEndTime = warnEndTime;
    }

    public String getBusinessLineId() {
        return businessLineId;
    }

    public void setBusinessLineId(String businessLineId) {
        this.businessLineId = businessLineId;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getFileUploadIds() {
        return fileUploadIds;
    }

    public void setFileUploadIds(String fileUploadIds) {
        this.fileUploadIds = fileUploadIds;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Integer getGroupIndex() {
        return groupIndex;
    }

    public void setGroupIndex(Integer groupIndex) {
        this.groupIndex = groupIndex;
    }

    public String getTaxAgency() {
        return taxAgency;
    }

    public void setTaxAgency(String taxAgency) {
        this.taxAgency = taxAgency;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getTimeZone() {
        return timeZone;
    }

    public void setTimeZone(String timeZone) {
        this.timeZone = timeZone;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDealUser() {
        return dealUser;
    }

    public void setDealUser(String dealUser) {
        this.dealUser = dealUser;
    }

    public String getAuditUser() {
        return auditUser;
    }

    public void setAuditUser(String auditUser) {
        this.auditUser = auditUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }
}
