package pwc.taxtech.atms.dto.backlogManage;





import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.io.Serializable;


public class BacklogConfigCommonEditParam  implements Serializable {


    private static final long serialVersionUID = 6635789169401564333L;

    private Long id;

    @NotBlank(message = "BCCLColumnNameError")
    private String name;

    private String describe;

    @NotNull(message = "BCCLColumnTypeError")
    private Long backlogTypeId;

    @NotNull(message = "BCCLColumnAutoFlagError")
    private Boolean autoFlag;

    @NotNull(message = "BCCLColumnGenerateTypeError")
    private Integer generateType;

    private String status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public Long getBacklogTypeId() {
        return backlogTypeId;
    }

    public void setBacklogTypeId(Long backlogTypeId) {
        this.backlogTypeId = backlogTypeId;
    }

    public Boolean getAutoFlag() {
        return autoFlag;
    }

    public void setAutoFlag(Boolean autoFlag) {
        this.autoFlag = autoFlag;
    }

    public Integer getGenerateType() {
        return generateType;
    }

    public void setGenerateType(Integer generateType) {
        this.generateType = generateType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
